petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatMumpsGetCntl

Get MUMPS parameter CNTL()

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMumpsGetCntl(Mat F,PetscInt icntl,PetscReal *val)

Logically Collective on Mat Many br

### Input Parameters

| F | - the factored matrix obtained by calling MatGetFactor() from PETSc-MUMPS interface Many br
| icntl | - index of MUMPS parameter array CNTL() Many br

### Output Parameter

val -value of MUMPS CNTL(icntl) Many br

Many br

### References

MUMPS Users' Guide - Many br

### See Also

MatGetFactor()

Level:beginner
Location:src/mat/impls/aij/mpi/mumps/mumps.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex52.c.html
src/ksp/ksp/examples/tutorials/ex52f.F.html